Subject: limit on global data

From: Rupert Zhu <[email-masked]>
Date: Mon, 11 Mar 91 10:48:31 EST

I have a small C program (15 lines) which have to use two arrays as
extern variables, each of size 50 KB.  The Turbo C compiler allows
a maximum of 64K extern data (though the limit for automatic variables
can be as large as 1 MB).  Now I have to split this 15 lines
into two files and put one array declaration in each file to get
two 64 KB capacity.

This looks ridiculous.  Does anyone know a way to get around this
without spliting the tiny file into two?   Also, does anyone know
how Microsoft C handle such kind of situation?

Thank you very much.

-- Ruopeng

PS: This is for  GuoBiao <---> BIG5  conversion program.
    I am trying to port Lee and Yeung's UNIX program to PC and
    encountered this trouble.